import HeaderObject from "../../types/HeaderObject";
import type TableRowType from "../../types/TableRow";
import { Pinned } from "../../types/Pinned";
import RowIndices from "../../types/RowIndices";
import ColumnIndices from "../../types/ColumnIndices";
interface RenderCellsProps {
    columnIndexStart?: number;
    columnIndices: ColumnIndices;
    headers: HeaderObject[];
    hiddenColumns: Record<string, boolean>;
    pinned?: Pinned;
    rowIndex: number;
    rowIndices: RowIndices;
    visibleRow: TableRowType;
}
declare const RenderCells: ({ columnIndexStart, columnIndices, headers, hiddenColumns, pinned, rowIndex, rowIndices, visibleRow, }: RenderCellsProps) => import("react/jsx-runtime").JSX.Element;
export default RenderCells;
