/// <reference types="react" />
import HeaderObject from "../types/HeaderObject";
import Row from "../types/Row";
import SortConfig from "../types/SortConfig";
declare const useSortableData: ({ headers, tableRows }: {
    headers: HeaderObject[];
    tableRows: Row[];
}) => {
    hiddenColumns: Record<string, boolean>;
    setHiddenColumns: import("react").Dispatch<import("react").SetStateAction<Record<string, boolean>>>;
    setSort: import("react").Dispatch<import("react").SetStateAction<SortConfig | null>>;
    sort: SortConfig | null;
    sortedRows: Row[];
    updateSort: (columnIndex: number, accessor: string) => void;
};
export default useSortableData;
