import { Dispatch, SetStateAction } from "react";
import HeaderObject from "../../../types/HeaderObject";
type TableColumnEditorProps = {
    columnEditorText: string;
    editColumns: boolean;
    editColumnsInitOpen: boolean;
    headers: HeaderObject[];
    hiddenColumns: {
        [key: string]: boolean;
    };
    position: "left" | "right";
    setHiddenColumns: Dispatch<SetStateAction<{
        [key: string]: boolean;
    }>>;
};
declare const TableColumnEditor: ({ columnEditorText, editColumns, editColumnsInitOpen, headers, hiddenColumns, position, setHiddenColumns, }: TableColumnEditorProps) => import("react/jsx-runtime").JSX.Element | null;
export default TableColumnEditor;
